org.apache.jmeter.protocol.http.modifier

## Class AnchorModifier

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.protocol.http.modifier.AnchorModifier

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, PreProcessor, TestElement

    public class AnchorModifier
    extends AbstractTestElement
    implements PreProcessor, Serializable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`AnchorModifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfigElement(ConfigElement config)`
`void` `process()` Modifies an Entry object based on HTML response text.

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Constructor Detail

#### AnchorModifier

    public AnchorModifier()

### Method Detail

#### process

    public void process()

Modifies an Entry object based on HTML response text.

Specified by:
  `process` in interface `PreProcessor`

#### addConfigElement

    public void addConfigElement(ConfigElement config)